Package org.springframework.http.server.reactive

# Class UndertowHttpHandlerAdapter

java.lang.Object
org.springframework.http.server.reactive.UndertowHttpHandlerAdapter

All Implemented Interfaces:
  `io.undertow.server.HttpHandler`

public class UndertowHttpHandlerAdapter extends Object implements io.undertow.server.HttpHandler
Adapt `HttpHandler` to the Undertow `HttpHandler`.

Since:
  5.0
Author:
  Marek Hawrylczak, Rossen Stoyanchev, Arjen Poutsma

## Constructor Summary

Constructors
Constructor
Description
`UndertowHttpHandlerAdapter(HttpHandler httpHandler)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.core.io.buffer.DataBufferFactory`
`getDataBufferFactory()`
`void`
`handleRequest(io.undertow.server.HttpServerExchange exchange)`
`void`
`setDataBufferFactory(org.springframework.core.io.buffer.DataBufferFactory bufferFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UndertowHttpHandlerAdapter

public UndertowHttpHandlerAdapter(HttpHandler httpHandler)

## Method Details

### setDataBufferFactory

public void setDataBufferFactory(org.springframework.core.io.buffer.DataBufferFactory bufferFactory)

### getDataBufferFactory

public org.springframework.core.io.buffer.DataBufferFactory getDataBufferFactory()

### handleRequest

public void handleRequest(io.undertow.server.HttpServerExchange exchange)

Specified by:
  `handleRequest` in interface `io.undertow.server.HttpHandler`